Debian Bug report logs - #611250
please support network bonding

Package: netcfg; Maintainer for netcfg is Debian Install System Team <debian-boot@lists.debian.org>; Source for netcfg is src:netcfg.

Reported by: Martin Zobel-Helas <zobel@debian.org>

Date: Thu, 27 Jan 2011 11:12:09 UTC

Severity: wishlist

Tags: d-i, help, wontfix

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, zobel@debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#611250; Package netcfg. (Thu, 27 Jan 2011 11:12:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Zobel-Helas <zobel@debian.org>:
New Bug report received and forwarded. Copy sent to zobel@debian.org, Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 27 Jan 2011 11:12:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Zobel-Helas <zobel@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: please support network bonding
Date: Thu, 27 Jan 2011 12:03:23 +0100
Package: netcfg
Severity: wishlist
Tags: d-i

Hi,

it would be nice if the debian-installer could support network bonding
on several interfaces. This will probably need additional questions
during the installation process:

* slave interfaces
* bonding mode
  + balance-rr
  + active-backup
  + balance-xor
  + broadcast
  + 802.3ad
  + balance-tlb
  + balance-alb
* Link check interval (maybe with a reasonable default)

Bonus points, if this later can then also be combined with vlan support,
so i can haz bond0.330 :)


Cheers,
Martin

-- System Information:
Debian Release: 6.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- 
 Martin Zobel-Helas <zobel@debian.org>  | Debian System Administrator
 Debian & GNU/Linux Developer           |           Debian Listmaster
 Public key http://zobel.ftbfs.de/5d64f870.asc   -   KeyID: 5D64 F870
 GPG Fingerprint:  5DB3 1301 375A A50F 07E7  302F 493E FB8E 5D64 F870




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#611250; Package netcfg. (Thu, 27 Jan 2011 12:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ferenc Wagner <wferi@niif.hu>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 27 Jan 2011 12:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 611250@bugs.debian.org (full text, mbox):

From: Ferenc Wagner <wferi@niif.hu>
To: Martin Zobel-Helas <zobel@debian.org>
Cc: 611250@bugs.debian.org
Subject: Re: Bug#611250: please support network bonding
Date: Thu, 27 Jan 2011 13:19:49 +0100
Martin Zobel-Helas <zobel@debian.org> writes:

> it would be nice if the debian-installer could support network bonding
> on several interfaces.

Why do you think it's worth the effort?  Installation isn't performance
critical, nor does it require high availability.  And you can easily
configure bonding after installation.  So I'm not sure it's worth the
added complexity.  (I'm saying this although I routinely write out
bonding-enabled /etc/network/interfaces from a finish.d script... :)
-- 
Regards,
Feri.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#611250; Package netcfg. (Thu, 27 Jan 2011 13:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Zobel-Helas <zobel@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 27 Jan 2011 13:30:02 GMT) Full text and rfc822 format available.

Message #15 received at 611250@bugs.debian.org (full text, mbox):

From: Martin Zobel-Helas <zobel@debian.org>
To: Ferenc Wagner <wferi@niif.hu>
Cc: 611250@bugs.debian.org
Subject: Re: Bug#611250: please support network bonding
Date: Thu, 27 Jan 2011 14:18:53 +0100
Hi, 

On Thu Jan 27, 2011 at 13:19:49 +0100, Ferenc Wagner wrote:
> Martin Zobel-Helas <zobel@debian.org> writes:
> 
> > it would be nice if the debian-installer could support network bonding
> > on several interfaces.
> 
> Why do you think it's worth the effort?  Installation isn't performance
> critical, nor does it require high availability.  And you can easily
> configure bonding after installation.  So I'm not sure it's worth the
> added complexity.  (I'm saying this although I routinely write out
> bonding-enabled /etc/network/interfaces from a finish.d script... :)

I installed Debian quite often recently in an existing environment, and
actually, using balancing mode, you everytime need to reconfigure the
switch to not route every second package to the interface not being
available in the installer. That is kind of boring, and my idea is,
Debian could do better.


Cheers,
Martin
-- 
 Martin Zobel-Helas <zobel@debian.org>  | Debian System Administrator
 Debian & GNU/Linux Developer           |           Debian Listmaster
 Public key http://zobel.ftbfs.de/5d64f870.asc   -   KeyID: 5D64 F870
 GPG Fingerprint:  5DB3 1301 375A A50F 07E7  302F 493E FB8E 5D64 F870





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#611250; Package netcfg. (Thu, 27 Jan 2011 13:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ferenc Wagner <wferi@niif.hu>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 27 Jan 2011 13:45:03 GMT) Full text and rfc822 format available.

Message #20 received at 611250@bugs.debian.org (full text, mbox):

From: Ferenc Wagner <wferi@niif.hu>
To: Martin Zobel-Helas <zobel@debian.org>
Cc: 611250@bugs.debian.org
Subject: Re: Bug#611250: please support network bonding
Date: Thu, 27 Jan 2011 14:42:35 +0100
Martin Zobel-Helas <zobel@debian.org> writes:

> On Thu Jan 27, 2011 at 13:19:49 +0100, Ferenc Wagner wrote:
>
>> Martin Zobel-Helas <zobel@debian.org> writes:
>> 
>>> it would be nice if the debian-installer could support network bonding
>>> on several interfaces.
>> 
>> Why do you think it's worth the effort?  Installation isn't performance
>> critical, nor does it require high availability.  And you can easily
>> configure bonding after installation.  So I'm not sure it's worth the
>> added complexity.  (I'm saying this although I routinely write out
>> bonding-enabled /etc/network/interfaces from a finish.d script... :)
>
> I installed Debian quite often recently in an existing environment, and
> actually, using balancing mode, you everytime need to reconfigure the
> switch to not route every second package to the interface not being
> available in the installer. That is kind of boring, and my idea is,
> Debian could do better.

Fascinating.  Why is the other interface up at all?  Or does the switch
simply not care?

Anyway, I'm certainly not against this, but d-i has traditionally been
rather wary about growing new features.  That said, bonding doesn't
require extra utilities (being fully configurable through sysfs), so
this probably isn't a serious issue.
-- 
Cheers,
Feri.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#611250; Package netcfg. (Thu, 27 Jan 2011 22:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Palmer <mpalmer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 27 Jan 2011 22:30:03 GMT) Full text and rfc822 format available.

Message #25 received at 611250@bugs.debian.org (full text, mbox):

From: Matthew Palmer <mpalmer@debian.org>
To: Martin Zobel-Helas <zobel@debian.org>, 611250@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#611250: please support network bonding
Date: Fri, 28 Jan 2011 06:59:04 +1100
tag 611250 +help
tag 611250 +wontfix
thanks

On Thu, Jan 27, 2011 at 12:03:23PM +0100, Martin Zobel-Helas wrote:
> it would be nice if the debian-installer could support network bonding
> on several interfaces.

I'm with Ferenc on this; bonding isn't necessary to install the system, so
I'm loathe to put it into d-i.  In particular:

> This will probably need additional questions during the installation
> process:

This makes it a UI nightmare if all those questions are asked[1]; even if
it's only preseedable, it's still a pain in the arse.

To address your later concerns, if your switch is dumb enough to send
packets down a link that's down, fix your switch.  If your NIC/driver tells
the switch that the link is up when it's administratively down, fix your
NIC/driver.  If netcfg is leaving interfaces administratively up when the
system isn't using them, report an appropriately detailed bug and I'll look
into it.

All that being said, if a patch were to turn up on this bug that handled all
the questions in a preseed-only fashion, integrated well with the rest of
the netcfg code (it might be better to wait 3 months on that one; I'm
currently refactoring all the internals to make extensions like this a lot
easier to integrate), I would give it a fair assessment with a view to
merging it.

- Matt

[1] Yes, I'm well aware that most of them would be hidden behind a "do you
want to bond interfaces?", but even asking that question would be
problematic for the vast majority of users to answer; I'm not a personal fan
of lower priority to hide this sort of thing either, because then you
bombard the advanced user with piles of questions they just don't want to
see from other packages.




Added tag(s) help. Request was from Matthew Palmer <mpalmer@debian.org> to control@bugs.debian.org. (Thu, 27 Jan 2011 22:30:04 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Matthew Palmer <mpalmer@debian.org> to control@bugs.debian.org. (Thu, 27 Jan 2011 22:30:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:13:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.